org.eclipse.gef.dot.internal.ui.language.contentassist

## Class DotProposalProvider

- java.lang.Object
- - org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider
  - - org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider
    - - org.eclipse.gef.dot.internal.ui.language.contentassist.AbstractDotProposalProvider
      - - org.eclipse.gef.dot.internal.ui.language.contentassist.DotProposalProvider

All Implemented Interfaces:
  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalFactory, org.eclipse.xtext.ui.editor.contentassist.IContentProposalProvider

    public class DotProposalProvider
    extends AbstractDotProposalProvider

A proposal provider for Dot.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider

`org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.DefaultProposalCreator, org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.ReferenceProposalCreator`

### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider

`org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider.DefaultContentAssistProcessorSwitch, org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider.NullSafeCompletionProposalAcceptor`

### Constructor Summary

Constructors
Constructor and Description
`DotProposalProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `completeAttribute_Name(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext contentAssistContext, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeAttribute_Value(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completePort_Compass_pt(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`protected ICompletionProposal` `createCompletionProposal(java.lang.String proposal, StyledString displayString, Image image, int priority, java.lang.String prefix, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context)`

### Methods inherited from class org.eclipse.gef.dot.internal.ui.language.contentassist.AbstractDotProposalProvider

`complete_ANY_OTHER, complete_Attribute, complete_AttributeType, complete_AttrList, complete_AttrStmt, complete_COMPASS_PT, complete_DotAst, complete_DotGraph, complete_EdgeOp, complete_EdgeRhs, complete_EdgeRhsNode, complete_EdgeRhsSubgraph, complete_EdgeStmtNode, complete_EdgeStmtSubgraph, complete_GraphType, complete_HTML_CHARS, complete_HTML_STRING, complete_HTML_TAG_CLOSE, complete_HTML_TAG_OPEN, complete_ID, complete_ML_COMMENT, complete_NodeId, complete_NodeStmt, complete_NUMERAL, complete_Port, complete_QUOTED_STRING, complete_SL_COMMENT, complete_Stmt, complete_STRING, complete_Subgraph, complete_SubgraphOrEdgeStmtSubgraph, complete_WS, completeAttrList_Attributes, completeAttrStmt_AttrLists, completeAttrStmt_Type, completeDotAst_Graphs, completeDotGraph_Name, completeDotGraph_Stmts, completeDotGraph_Strict, completeDotGraph_Type, completeEdgeRhsNode_Node, completeEdgeRhsNode_Op, completeEdgeRhsSubgraph_Op, completeEdgeRhsSubgraph_Subgraph, completeEdgeStmtNode_AttrLists, completeEdgeStmtNode_EdgeRHS, completeEdgeStmtNode_Node, completeEdgeStmtSubgraph_AttrLists, completeEdgeStmtSubgraph_EdgeRHS, completeEdgeStmtSubgraph_Subgraph, completeNodeId_Name, completeNodeId_Port, completeNodeStmt_AttrLists, completeNodeStmt_Node, completePort_Name, completeSubgraph_Name, completeSubgraph_Stmts, completeSubgraphOrEdgeStmtSubgraph_AttrLists, completeSubgraphOrEdgeStmtSubgraph_EdgeRHS`

### Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider

`announceProcessing, completeAssignment, completeKeyword, completeRuleCall, createProposals, getCrossReferenceProposalCreator, getHover, getProposalFactory, getScopeProvider, invokeMethod, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, setCrossReferenceProposalCreator, setScopeProvider`

### Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider

`createCompletionProposal, createCompletionProposal, createCompletionProposal, createSelector, doCreateProposal, doCreateProposal, getConflictHelper, getDisplayString, getImage, getKeywordDisplayString, getLabelProvider, getPriorityHelper, getQualifiedNameConverter, getStyledDisplayString, getStyledDisplayString, getValueConverter, isValidProposal, setConflictHelper, setLabelProvider, setPriorityHelper, setValueConverter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotProposalProvider

    public DotProposalProvider()

### Method Detail

#### createCompletionProposal

    protected ICompletionProposal createCompletionProposal(java.lang.String proposal,
                                                           StyledString displayString,
                                                           Image image,
                                                           int priority,
                                                           java.lang.String prefix,
                                                           org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context)

Overrides:
  `createCompletionProposal` in class `org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider`

#### completePort_Compass_pt

    public void completePort_Compass_pt(org.eclipse.emf.ecore.EObject model,
                                        org.eclipse.xtext.Assignment assignment,
                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

Overrides:
  `completePort_Compass_pt` in class `AbstractDotProposalProvider`

#### completeAttribute_Name

    public void completeAttribute_Name(org.eclipse.emf.ecore.EObject model,
                                       org.eclipse.xtext.Assignment assignment,
                                       org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext contentAssistContext,
                                       org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

Overrides:
  `completeAttribute_Name` in class `AbstractDotProposalProvider`

#### completeAttribute_Value

    public void completeAttribute_Value(org.eclipse.emf.ecore.EObject model,
                                        org.eclipse.xtext.Assignment assignment,
                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

Overrides:
  `completeAttribute_Value` in class `AbstractDotProposalProvider`